Bug 491294 - BUG: oops in dcdbas on Dell Latitude E5400
BUG: oops in dcdbas on Dell Latitude E5400
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 05:32 EDT by Stefano Cavallari
Modified: 2010-06-28 07:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefano Cavallari 2009-03-20 05:32:40 EDT
Description of problem:
When booting Fedora 11 I get this oops: 

general protection fault: 0000 [#1] SMP 
last sysfs file: /sys/devices/platform/dcdbas/smi_data_buf_size
CPU 1 
Modules linked in: sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput dell_laptop rfkill dcdbas snd_hda_codec_intelhdmi pcspkr joydev i2c_i801 firewire_ohci sdhci_pci firewire_core sdhci mmc_core yenta_socket crc_itu_t usb_storage snd_hda_codec_idt rsrc_nonstatic iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss btusb bluetooth snd_pcm tg3 snd_timer snd soundcore snd_page_alloc wmi sha256_generic cbc aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Pid: 2773, comm: hald-addon-dell Not tainted 2.6.29-0.258.rc8.git2.fc11.x86_64 #1 Latitude E5400                  
RIP: 0010:[<ffffffff811bd38f>]  [<ffffffff811bd38f>] dmar_find_matched_drhd_unit+0x53/0x7c
RSP: 0018:ffff88006a82bcd8  EFLAGS: 00010246
RAX: ffff88007bea1c38 RBX: ffff880073cc10a0 RCX: 0000000000000002
RDX: 6b6b6b6b6b6b6b6b RSI: ffff88007bd940c0 RDI: ffff880073cc10a0
RBP: ffff88006a82bcd8 R08: ffff88007bea1aa0 R09: ffff88007bd940b0
R10: 0000000000000002 R11: ffff88007bd1b1b0 R12: ffff880073cc10a0
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  00007fbbd1f09710(0000) GS:ffff88007c452578(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007fbbd1f36000 CR3: 000000006a82c000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process hald-addon-dell (pid: 2773, threadinfo ffff88006a82a000, task ffff88006bb42350)
Stack:
 ffff88006a82bd58 ffffffff811c0112 0000000000000000 0000000000000002
 ffff88006a82bd98 ffffffff810b1fd9 ffff88006bb42350 0000000000000000
 0000008000000000 ffff88000000fc08 000200d0a020c5e1 ffff880073cc10a0
Call Trace:
 [<ffffffff811c0112>] T.801+0xe2/0x4df
 [<ffffffff810b1fd9>] ? __alloc_pages_internal+0x13a/0x46d
 [<ffffffff811c0523>] get_valid_domain_for_dev+0x14/0x6e
 [<ffffffff811c0865>] __intel_map_single+0x4c/0x171
 [<ffffffff810d4df7>] ? alloc_pages_current+0xb7/0xc0
 [<ffffffff811c0a0e>] intel_alloc_coherent+0x84/0xab
 [<ffffffffa020c4d8>] smi_data_buf_realloc+0xda/0x14c [dcdbas]
 [<ffffffffa020c5e9>] smi_data_buf_size_store+0x37/0x55 [dcdbas]
 [<ffffffff81238dd1>] dev_attr_store+0x23/0x25
 [<ffffffff81133ff8>] sysfs_write_file+0xfb/0x137
 [<ffffffff810e3cfe>] vfs_write+0xae/0x10b
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff810e3e1b>] sys_write+0x4a/0x6e
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Code: 00 00 00 3b 0a 74 45 44 8b 50 28 4c 8b 48 20 48 89 fa eb 1b 4c 8b 1e 48 83 c6 08 4c 39 da 74 2c ff c1 44 39 d1 7c ed 48 8b 52 10 <48> 8b 52 38 48 85 d2 74 1a 4c 89 ce 31 c9 eb e7 4c 8b 00 48 3d 
RIP  [<ffffffff811bd38f>] dmar_find_matched_drhd_unit+0x53/0x7c
 RSP <ffff88006a82bcd8>
---[ end trace 87f63053d9c2a45d ]---


Version-Release number of selected component (if applicable):
kernel 2.6.29-0.258.rc8.git2.fc11.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Boot the system and look at the dmesg on this laptop

Additional info:
the process getSystemId hangs consistently, and sometimes it's not killable.
Comment 1 Chuck Ebbert 2009-03-24 13:16:07 EDT
  14:	4c 8b 1e             	mov    (%rsi),%r11
  17:	48 83 c6 08          	add    $0x8,%rsi
  1b:	4c 39 da             	cmp    %r11,%rdx
  1e:	74 2c                	je     0x4c
  20:	ff c1                	inc    %ecx
  22:	44 39 d1             	cmp    %r10d,%ecx
  25:	7c ed                	jl     0x14
  27:	48 8b 52 10          	mov    0x10(%rdx),%rdx

*  0:	48 8b 52 38          	mov    0x38(%rdx),%rdx
   4:	48 85 d2             	test   %rdx,%rdx
   7:	74 1a                	je     0x23
   9:	4c 89 ce             	mov    %r9,%rsi
   c:	31 c9                	xor    %ecx,%ecx
   e:	eb e7                	jmp    0xfffffffffffffff7
  10:	4c 8b 00             	mov    (%rax),%r8

rdx=0x6b6b6b6b6b6b6b6b
Comment 2 Chuck Ebbert 2009-04-01 19:23:10 EDT
drivers/pci/dmar.c:377
        dev = dev->bus->self;

dev->bus = 0x6b6b6b6b6b6b6b6b
Comment 3 Chuck Ebbert 2009-06-09 01:29:44 EDT
Was this fixed?
Comment 4 Bug Zapper 2009-06-09 08:26:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stefano Cavallari 2010-02-02 16:56:12 EST
Sorry, I no longer own that laptop, so I can't test new kernel releases.
Comment 6 Bug Zapper 2010-04-27 09:16:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:31:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.